// -----------------------------------------------------------------------------------------
//
// Riese1.CS                                                          Ulrich Mller 27.05.04
//                                                                    PCS1700       C# Final
// Betriebsprogramm Riesenrad Schritt 1 : Aus- und Einsteigen
// Basis Assembly FishFa30.DLL / umFish30.DLL
//
// -----------------------------------------------------------------------------------------

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using FishFa30;

namespace RiesenBetrieb
{
	public class Riese1CS : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button cmdAction;
		private System.Windows.Forms.Label lblStatus;
	
		// --- FishFace : Klassen-Instanz ----------------------------------------
		private FishFace ft = new FishFace(true, false, 0);

		private System.ComponentModel.Container components = null;

		// --- Konstruktor / Destruktor ------------------------------------------

		public Riese1CS()
		{
			InitializeComponent();
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )	{
			  if (components != null) {
				components.Dispose();
			  }
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.cmdAction = new System.Windows.Forms.Button();
			this.lblStatus = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// cmdAction
			// 
			this.cmdAction.Location = new System.Drawing.Point(40, 72);
			this.cmdAction.Name = "cmdAction";
			this.cmdAction.Size = new System.Drawing.Size(216, 32);
			this.cmdAction.TabIndex = 0;
			this.cmdAction.Text = "&ACTION";
			this.cmdAction.Click += new System.EventHandler(this.cmdAction_Click);
			// 
			// lblStatus
			// 
			this.lblStatus.Font = new System.Drawing.Font("Tahoma", 11.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblStatus.Location = new System.Drawing.Point(16, 16);
			this.lblStatus.Name = "lblStatus";
			this.lblStatus.Size = new System.Drawing.Size(256, 24);
			this.lblStatus.TabIndex = 1;
			this.lblStatus.Text = "Status";
			this.lblStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// Riese1CS
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 133);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.lblStatus,
																		  this.cmdAction});
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.MaximizeBox = false;
			this.Name = "Riese1CS";
			this.Text = "Riesenrad Schritt 1";
			this.ResumeLayout(false);

		}
		#endregion

		// --- Haupteinstiegspunkt fr die Anwendung -------------------------------

		[STAThread]
		static void Main() 
		{
			Application.Run(new Riese1CS());
		}

		// --- Zentrale Betriebsroutine -------------------------------------------------

		private void cmdAction_Click(object sender, System.EventArgs e)
		{
			try	{
				ft.OpenInterface(Port.COM2);
				lblStatus.Text = "--- gestartet ---";
				for(int i = 1; i <= 6; i++) {
					ft.SetMotor(Nr.M1, Dir.Links);
					ft.WaitForHigh(Nr.E2);
					ft.Pause(1500);
					ft.SetMotor(Nr.M1, Dir.Aus);
					ft.Pause(4000);}
				lblStatus.Text = "--- das war's ---";}
      catch(FishFaceException eft) {lblStatus.Text = eft.Message;}
      finally	{ft.CloseInterface();}
		}
	}
}
